Cyberpunk 2077’s Phantom Liberty Expansion has its own dedicated PC system requirements, and they are high

Cyberpunk 2077's Phantom Liberty Expansion has its own dedicated PC system requirements, and they are high

You’ll need a high-end gaming PC to max out Cyberpunk 2077’s Phantom Liberty Expansion

With the release of Cyberpunk 2077’s Phantom Liberty expansion, CD Projekt Red are abandoning last-generation consoles and are focusing exclusively on current-generation hardware. That means that the expansion is designed to run on SSD storage, modern processors, and powerful graphics cards. 

To help PC gamers prepare for the release of Phantom Liberty, CD Projekt Red has released dedicated PC system requirements for the expansion, confirming what PC gamers will need to run the game at 1080p 30 FPS, 1080p 60 FPS and 4K 60 FPS, both with and without ray tracing enabled. 

Thankfully, users of older gaming PCs will be able to play Phantom Liberty, with AMD’s aging RX 580 and Nvidia’s older GTX 1060 graphics cards being able to run the game at 1080p 30 FPS at low settings. For 1080p 60 FPS at high settings, Nvidia’s RTX 2060 Super, and AMD’s Radeon RX 5700 XT are recommended. For 4K 60 FPS at Ultra settings (no RT), Nvidia’s RTX 3080 (12GB) and AMD’s Radeon RX 7900 XT are recommended.

Cyberpunk 2077's Phantom Liberty Expansion has its own dedicated PC system requirements, and they are high

Note that Cyberpunk 2077’s Phantom Liberty Expansion now has higher VRAM requirements than before, with 4K 60 FPS at Ultra settings calling for 12GB of VRAM. Additionally, system memory requirements have also increased, with the gaming calling for 20GB of VRAM at 4K Ultra settings and 24GB at 4K RT Overdrive settings.

Cyberpunk 2077’s Phantom Liberty expansion is expected to be harder on PC hardware than Cyberpunk 2077’s base game content. That said, it is probable that most gamers who can play Cyberpunk 2077 with stable framerates already will have little difficulty running the game’s expansion.

You can join the discussion on Cyberpunk 2077’s Phantom Liberty PC system requirements on the OC3D Forums.